{-# LANGUAGE NoImplicitPrelude #-}

module Bamboo.Theme.MiniHTML5.Control.Tag where
  
import Bamboo.Type (summary_for_tag)
import Bamboo.Type.State
import Bamboo.Theme.MiniHTML5.Atom.Post
import Bamboo.Theme.MiniHTML5.Widget.Helper
import Bamboo.Theme.MiniHTML5.Env hiding (p, tag_id, nav, render)
import Bamboo.Theme.MiniHTML5.Widget.Template
import qualified Bamboo.Type as C
import qualified Bamboo.Type.State as State

view :: R
view s = page s - do
  s.posts.mapM_ render
  nav p - s.env.slashed_script_name / tag_id
  where
    p = s.pager
    tag_id = s.uid
    render = render_summary s (s.config.summary_for_tag)

